
# react-native-animated-text-gradient

## Getting started

`$ npm install react-native-animated-text-gradient --save`

### Mostly automatic installation

`$ react-native link react-native-animated-text-gradient`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-animated-text-gradient` and add `RNAnimatedTextGradient.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNAnimatedTextGradient.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNAnimatedTextGradientPackage;` to the imports at the top of the file
  - Add `new RNAnimatedTextGradientPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-animated-text-gradient'
  	project(':react-native-animated-text-gradient').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-animated-text-gradient/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-animated-text-gradient')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNAnimatedTextGradient.sln` in `node_modules/react-native-animated-text-gradient/windows/RNAnimatedTextGradient.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Animated.Text.Gradient.RNAnimatedTextGradient;` to the usings at the top of the file
  - Add `new RNAnimatedTextGradientPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNAnimatedTextGradient from 'react-native-animated-text-gradient';

// TODO: What to do with the module?
RNAnimatedTextGradient;
```
  